/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.12-dev21
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */


import ApiClient from './ApiClient';
import AccessAndRefreshToken from './model/AccessAndRefreshToken';
import AccessToken from './model/AccessToken';
import AvailablePairs from './model/AvailablePairs';
import BacktestRequest from './model/BacktestRequest';
import BacktestResponse from './model/BacktestResponse';
import Balance from './model/Balance';
import Balances from './model/Balances';
import BlacklistPayload from './model/BlacklistPayload';
import BlacklistResponse from './model/BlacklistResponse';
import Count from './model/Count';
import Daily from './model/Daily';
import DailyRecord from './model/DailyRecord';
import DeleteLockRequest from './model/DeleteLockRequest';
import DeleteTrade from './model/DeleteTrade';
import ForceBuyPayload from './model/ForceBuyPayload';
import ForceBuyResponse from './model/ForceBuyResponse';
import ForceSellPayload from './model/ForceSellPayload';
import HTTPValidationError from './model/HTTPValidationError';
import LockModel from './model/LockModel';
import Locks from './model/Locks';
import Logs from './model/Logs';
import OpenTradeSchema from './model/OpenTradeSchema';
import OrderTypeValues from './model/OrderTypeValues';
import OrderTypes from './model/OrderTypes';
import PairHistory from './model/PairHistory';
import PerformanceEntry from './model/PerformanceEntry';
import Ping from './model/Ping';
import PlotConfig from './model/PlotConfig';
import Profit from './model/Profit';
import ResultMsg from './model/ResultMsg';
import SellReason from './model/SellReason';
import ShowConfig from './model/ShowConfig';
import Stats from './model/Stats';
import StatusMsg from './model/StatusMsg';
import StrategyListResponse from './model/StrategyListResponse';
import StrategyResponse from './model/StrategyResponse';
import SysInfo from './model/SysInfo';
import TradeSchema from './model/TradeSchema';
import UnfilledTimeout from './model/UnfilledTimeout';
import ValidationError from './model/ValidationError';
import Version from './model/Version';
import WhitelistResponse from './model/WhitelistResponse';
import AuthApi from './ftclient/AuthApi';
import BacktestApi from './ftclient/BacktestApi';
import BotcontrolApi from './ftclient/BotcontrolApi';
import CandleDataApi from './ftclient/CandleDataApi';
import DefaultApi from './ftclient/DefaultApi';
import InfoApi from './ftclient/InfoApi';
import LocksApi from './ftclient/LocksApi';
import PairlistApi from './ftclient/PairlistApi';
import StrategyApi from './ftclient/StrategyApi';
import TradingApi from './ftclient/TradingApi';
import WebserverApi from './ftclient/WebserverApi';


/**
* Client library for freqtrade.<br>
* The <code>index</code> module provides access to constructors for all the classes which comprise the public API.
* <p>
* An AMD (recommended!) or CommonJS application will generally do something equivalent to the following:
* <pre>
* var ftclient = require('index'); // See note below*.
* var xxxSvc = new ftclient.XxxApi(); // Allocate the API class we're going to use.
* var yyyModel = new ftclient.Yyy(); // Construct a model instance.
* yyyModel.someProperty = 'someValue';
* ...
* var zzz = xxxSvc.doSomething(yyyModel); // Invoke the service.
* ...
* </pre>
* <em>*NOTE: For a top-level AMD script, use require(['index'], function(){...})
* and put the application logic within the callback function.</em>
* </p>
* <p>
* A non-AMD browser application (discouraged) might do something like this:
* <pre>
* var xxxSvc = new ftclient.XxxApi(); // Allocate the API class we're going to use.
* var yyy = new ftclient.Yyy(); // Construct a model instance.
* yyyModel.someProperty = 'someValue';
* ...
* var zzz = xxxSvc.doSomething(yyyModel); // Invoke the service.
* ...
* </pre>
* </p>
* @module index
* @version 2021.12-dev21
*/
export {
    /**
     * The ApiClient constructor.
     * @property {module:ApiClient}
     */
    ApiClient,

    /**
     * The AccessAndRefreshToken model constructor.
     * @property {module:model/AccessAndRefreshToken}
     */
    AccessAndRefreshToken,

    /**
     * The AccessToken model constructor.
     * @property {module:model/AccessToken}
     */
    AccessToken,

    /**
     * The AvailablePairs model constructor.
     * @property {module:model/AvailablePairs}
     */
    AvailablePairs,

    /**
     * The BacktestRequest model constructor.
     * @property {module:model/BacktestRequest}
     */
    BacktestRequest,

    /**
     * The BacktestResponse model constructor.
     * @property {module:model/BacktestResponse}
     */
    BacktestResponse,

    /**
     * The Balance model constructor.
     * @property {module:model/Balance}
     */
    Balance,

    /**
     * The Balances model constructor.
     * @property {module:model/Balances}
     */
    Balances,

    /**
     * The BlacklistPayload model constructor.
     * @property {module:model/BlacklistPayload}
     */
    BlacklistPayload,

    /**
     * The BlacklistResponse model constructor.
     * @property {module:model/BlacklistResponse}
     */
    BlacklistResponse,

    /**
     * The Count model constructor.
     * @property {module:model/Count}
     */
    Count,

    /**
     * The Daily model constructor.
     * @property {module:model/Daily}
     */
    Daily,

    /**
     * The DailyRecord model constructor.
     * @property {module:model/DailyRecord}
     */
    DailyRecord,

    /**
     * The DeleteLockRequest model constructor.
     * @property {module:model/DeleteLockRequest}
     */
    DeleteLockRequest,

    /**
     * The DeleteTrade model constructor.
     * @property {module:model/DeleteTrade}
     */
    DeleteTrade,

    /**
     * The ForceBuyPayload model constructor.
     * @property {module:model/ForceBuyPayload}
     */
    ForceBuyPayload,

    /**
     * The ForceBuyResponse model constructor.
     * @property {module:model/ForceBuyResponse}
     */
    ForceBuyResponse,

    /**
     * The ForceSellPayload model constructor.
     * @property {module:model/ForceSellPayload}
     */
    ForceSellPayload,

    /**
     * The HTTPValidationError model constructor.
     * @property {module:model/HTTPValidationError}
     */
    HTTPValidationError,

    /**
     * The LockModel model constructor.
     * @property {module:model/LockModel}
     */
    LockModel,

    /**
     * The Locks model constructor.
     * @property {module:model/Locks}
     */
    Locks,

    /**
     * The Logs model constructor.
     * @property {module:model/Logs}
     */
    Logs,

    /**
     * The OpenTradeSchema model constructor.
     * @property {module:model/OpenTradeSchema}
     */
    OpenTradeSchema,

    /**
     * The OrderTypeValues model constructor.
     * @property {module:model/OrderTypeValues}
     */
    OrderTypeValues,

    /**
     * The OrderTypes model constructor.
     * @property {module:model/OrderTypes}
     */
    OrderTypes,

    /**
     * The PairHistory model constructor.
     * @property {module:model/PairHistory}
     */
    PairHistory,

    /**
     * The PerformanceEntry model constructor.
     * @property {module:model/PerformanceEntry}
     */
    PerformanceEntry,

    /**
     * The Ping model constructor.
     * @property {module:model/Ping}
     */
    Ping,

    /**
     * The PlotConfig model constructor.
     * @property {module:model/PlotConfig}
     */
    PlotConfig,

    /**
     * The Profit model constructor.
     * @property {module:model/Profit}
     */
    Profit,

    /**
     * The ResultMsg model constructor.
     * @property {module:model/ResultMsg}
     */
    ResultMsg,

    /**
     * The SellReason model constructor.
     * @property {module:model/SellReason}
     */
    SellReason,

    /**
     * The ShowConfig model constructor.
     * @property {module:model/ShowConfig}
     */
    ShowConfig,

    /**
     * The Stats model constructor.
     * @property {module:model/Stats}
     */
    Stats,

    /**
     * The StatusMsg model constructor.
     * @property {module:model/StatusMsg}
     */
    StatusMsg,

    /**
     * The StrategyListResponse model constructor.
     * @property {module:model/StrategyListResponse}
     */
    StrategyListResponse,

    /**
     * The StrategyResponse model constructor.
     * @property {module:model/StrategyResponse}
     */
    StrategyResponse,

    /**
     * The SysInfo model constructor.
     * @property {module:model/SysInfo}
     */
    SysInfo,

    /**
     * The TradeSchema model constructor.
     * @property {module:model/TradeSchema}
     */
    TradeSchema,

    /**
     * The UnfilledTimeout model constructor.
     * @property {module:model/UnfilledTimeout}
     */
    UnfilledTimeout,

    /**
     * The ValidationError model constructor.
     * @property {module:model/ValidationError}
     */
    ValidationError,

    /**
     * The Version model constructor.
     * @property {module:model/Version}
     */
    Version,

    /**
     * The WhitelistResponse model constructor.
     * @property {module:model/WhitelistResponse}
     */
    WhitelistResponse,

    /**
    * The AuthApi service constructor.
    * @property {module:ftclient/AuthApi}
    */
    AuthApi,

    /**
    * The BacktestApi service constructor.
    * @property {module:ftclient/BacktestApi}
    */
    BacktestApi,

    /**
    * The BotcontrolApi service constructor.
    * @property {module:ftclient/BotcontrolApi}
    */
    BotcontrolApi,

    /**
    * The CandleDataApi service constructor.
    * @property {module:ftclient/CandleDataApi}
    */
    CandleDataApi,

    /**
    * The DefaultApi service constructor.
    * @property {module:ftclient/DefaultApi}
    */
    DefaultApi,

    /**
    * The InfoApi service constructor.
    * @property {module:ftclient/InfoApi}
    */
    InfoApi,

    /**
    * The LocksApi service constructor.
    * @property {module:ftclient/LocksApi}
    */
    LocksApi,

    /**
    * The PairlistApi service constructor.
    * @property {module:ftclient/PairlistApi}
    */
    PairlistApi,

    /**
    * The StrategyApi service constructor.
    * @property {module:ftclient/StrategyApi}
    */
    StrategyApi,

    /**
    * The TradingApi service constructor.
    * @property {module:ftclient/TradingApi}
    */
    TradingApi,

    /**
    * The WebserverApi service constructor.
    * @property {module:ftclient/WebserverApi}
    */
    WebserverApi
};
